# Helper specs
module Plant
  # Ensure helper does correct stuff
  RSpec.describe PlantHelper do
    include PlantHelper
    before :each do
      stub_const('Plant::Content', FakeContent)
    end

    it 'should get the content escaped' do
      r = plant_content_for('ff')
      expect(r).to eq('say arrr to my &lt;b&gt;friend&lt;/b&gt;')
    end

    it 'should be html safe' do
      r = plant_content_for('dd', html_safe: true)
      expect(r).to eq(r.html_safe)
    end
  end
end

# We don't want to call Plant:Content, so fake it
class FakeContent
  def self.get_node_content(_, _)
    'say arrr to my <b>friend</b>'
  end
end
