# Tests for hash monkey patch
RSpec.describe Hash do
  before :each do
    test = { jupiter:
              { io:
                { moon_name:
                  { main: 'foo',
                    tuesdays: 'bb',
                    wednesdays: 'dsadas' }
                }
             },
             saturn:
               { foo:
                 { moon_name:
                   { main: 'boo',
                     tuesdays: 'mm' },
                   sun_name: 'the sun' },
                 bar: 'ddd' },
             earth: 'mm' }

    @result = test.pathify
  end

  it 'should be a hash' do
    expect(@result).to be_a Hash
  end
  it 'should include all the paths' do
    keys = @result.keys
    expect(keys).to include('jupiter/io/moon_name/main')
    expect(keys).to include('jupiter/io/moon_name/tuesdays')
    expect(keys).to include('jupiter/io/moon_name/wednesdays')
    expect(keys).to include('saturn/foo/moon_name/main')
    expect(keys).to include('saturn/foo/moon_name/tuesdays')
    expect(keys).to include('saturn/foo/sun_name')
    expect(keys).to include('saturn/bar')
    expect(keys).to include('earth')
  end

  it 'should include the hashes' do
    expect(@result).to include('saturn/foo/moon_name/tuesdays' => 'mm')
  end
end
