# Specs for utils
module Plant
  RSpec.describe Utils do
    it 'should find the yml files' do
      files = Utils.yaml_files
      start = "#{Rails.root}/app/content/"
      expect(files.sort).to eq(["#{start}jupiter/io.yml",
                                "#{start}solar/earth/moon.yml",
                                "#{start}sun.yml"])
    end

    it 'should load the yaml file' do
      con = Utils.load_yaml_file("#{Rails.root}/app/content/jupiter/io.yml")
      expect(con).to be_a Hash
      expect(con.keys).to include('jupiter.io.moon_name.main')
      expect(con.keys).to include('jupiter.io.moon_name.tuesdays')
      expect(con.keys).to include('jupiter.io.moon_name.wednesdays')
    end
  end
end
